﻿using C1.WPF.C1Chart;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication31
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        ObservableCollection<SampleItem> _items;
        public MainWindow()
        {
            InitializeComponent();
            InitData();
            InitChart();


        }
        private void InitData()
        {
            Random rnd = new Random();
            _items = new ObservableCollection<SampleItem>();
            for (int i = 0; i < 3; i++)
            {
                _items.Add(new SampleItem { Value = rnd.Next(0, 100), Date = DateTime.Now.AddMonths(i) });
            }
        }

        private void InitChart()
        {
            // configure data series
            var ds = new XYDataSeries()
            {
                ItemsSource = _items,
                ValueBinding = new Binding { Path = new PropertyPath("Value") },
                XValueBinding = new Binding { Path = new PropertyPath("Date") },
                Label = "Sales"
            };

            // configure chart
            c1Chart1.BeginUpdate();
            c1Chart1.ChartType = ChartType.Column;

            // add data series
            c1Chart1.Data.Children.Add(ds);

            // use time axis with specific formatting
            c1Chart1.View.AxisX.IsTime = true;
            c1Chart1.View.AxisX.AnnoFormat = "yyyy/MM";

            // apply some style
            //c1Chart1.View.AxisX.MajorGridStrokeThickness = 0;
            //c1Chart1.View.AxisY.MajorGridFill = new SolidColorBrush(Colors.LightGray);
            c1Chart1.EndUpdate();
        }

    }
    public class SampleItem
    {
        public double Value { get; set; }
        public DateTime Date { get; set; }
    }
}
